#internal modules include paths
CORE = -I ../modules/core/headers
OPTICS = -I ../modules/optics/headers
NUMERICS = -I ../modules/numerics/headers
TINYXML = -I ../modules/thirdParties/tinyxml/headers
TEST = -I .
INCLUDES = $(TEST) $(CORE) $(OPTICS) $(NUMERICS) $(TINYXML)

#library
LIBRARY_PATH = ../build/lib
LIBRARY_NAME = optiks

#rules
test: link
	mv test ../test
	cd .. && ./test

test-with-log: link
	mv test ../test
	cd .. && ./test | tee testOutput.log

link: compile
	g++ test.o -L$(LIBRARY_PATH) -l$(LIBRARY_NAME) $(INCLUDES) -o test -fopenmp

compile:
	export OMP_NUM_THREADS=16
	g++ -c main.cpp $(INCLUDES) -o test.o

clean:
	rm -f ../test
	rm -f test.o